Bug 70486

Summary: [bisected]piglit glean_makeCurrent regressed
Product: Mesa Reporter: fangxun <xunx.fang>
Component: Drivers/DRI/i965Assignee: Adam Jackson <ajax>
Status: VERIFIED FIXED QA Contact: Intel 3D Bugs Mailing List <intel-3d-bugs>
Severity: major    
Priority: high CC: idr
Version: unspecified   
Hardware: All   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description fangxun 2013-10-15 09:27:28 UTC
System Environment:
--------------------------
Platform: ivybridge
Libdrm:       (master)2.4.47
Mesa:         (master)e6c2afa9ceacc188690deba9da7b46bf1a0a9027
Xserver:     (master)xorg-server-1.14.99.2-14-g7cf1b595c8c8f9776a39559d2878cf90af3f2859
Xf86_video_intel: (master)2.99.904-17-g2987a6d5662fb3337f1400a51d016e1c5e21c063

Bug detailed description:
-----------------------------
It failed on all platforms on mesa master branch. It passed on mesa 9.2 branch.
Piglit glx_GLX_EXT_import_context_get_current_display also failed.
Bisect shows d101204c23ba2f593881edeffff357309f3924cd is the first bad commit.
commit d101204c23ba2f593881edeffff357309f3924cd
Author:     Adam Jackson <ajax@redhat.com>
AuthorDate: Fri Oct 4 09:25:51 2013 -0400
Commit:     Adam Jackson <ajax@redhat.com>
CommitDate: Tue Oct 8 13:24:20 2013 -0400

    glx: Propagate failures from SendMakeCurrentRequest where possible

    Reviewed-by: Brian Paul <brianp@vmware.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

Output:
X Error of failed request: 0 
Major opcode of failed request: 153 (GLX) 
Minor opcode of failed request: 26 (X_GLXMakeContextCurrent) 
Serial number of failed request: 37 
Current serial number in output stream: 37

Reproduce steps:
----------------------------
1. xinit&
2. ./bin/glean -o -v -v -v -t +makeCurrent
Comment 1 Ian Romanick 2013-12-01 07:19:16 UTC
Should be fixed by:

commit 1090eb57552aed1f4e36ac97b5859ff4b2cc80a5
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Oct 25 15:12:04 2013 -0400

    glx: Fix return value from indirect_bind_context
    
    _XReply returns 1 on success, but indirect_bind_context returns 0 on
    success.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=70486
    Reviewed-and-tested-by: Ian Romanick <ian.d.romanick@intel.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>
Comment 2 fangxun 2014-01-21 02:35:49 UTC
Verified it on all platforms.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.